VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Namespaces | Classes | Typedefs | Enumerations | Functions
Standalone Library

List of classes for the standalone library. More...

## Namespaces
| VSTGUI::Standalone::Value
| value create and helper functions
| VSTGUI::Standalone::Async
| asynchronous tasks
| VSTGUI::Standalone::CommandGroup
| predefined command groups
| VSTGUI::Standalone::Commands
| predefined commands

## Classes
struct | ConfigValue
| Configuration Value. More...
struct | Init
| Init application. More...
class | DelegateAdapter
| Application delegate adapter More...
class | MenuBuilderAdapter
| Menu builder adapter. More...
class | NoMenuBuilder
| No menu builder adapter. More...
class | Customization
| Customization helper for an UIDesc window. More...
class | CustomizationAdapter
| ICustomization adapter. More...
class | ValueListenerAdapter
| Value listener adapter More...
class | ListenerT< Context >
| Value listener More...
class | Listener
| Value listener More...
class | WindowControllerAdapter
| Window controller adapter More...
class | WindowListenerAdapter
| Window listener adapter More...
class | WindowClosedListener
| Window closed listener More...
struct | AlertBoxConfig
| Alertbox configuration. More...
struct | AlertBoxForWindowConfig
| Alertbox for window configuration. More...
struct | Info
| Application info. More...
class | IDelegate
| Application delegate interface. More...
class | IApplication
| Application interface. More...
struct | Command
| Command definition More...
class | ICommandHandler
| Handler for commands. More...
class | IMenuBuilder
| Menu builder interface. More...
class | IPreference
| Preference interface. More...
class | ISharedUIResources
| Shared UI resources interface. More...
class | IModelBinding
| Model binding interface. More...
class | ICustomization
| UIDesc window customization interface. More...
struct | Config
| Configuration for an UIDescription window. More...
class | IValue
| Value interface. More...
class | IStepValue
| extension to IValue for a non continous value with discrete steps More...
class | IValueConverter
| Value converter interface More...
class | IValueListener
| Value listener interface More...
struct | WindowStyle
| Window style. More...
struct | WindowConfiguration
| Window configuration. More...
class | IWindow
| Window interface. More...
class | IWindowController
| Window controller interface. More...
class | IWindowListener
| Window listener interface. More...

## Typedefs
using | Configuration = std::vector< std::pair< ConfigKey, ConfigValue >>
| Startup configuration. More...

## Enumerations
enum | ConfigKey : uint64_t { UseCompressedUIDescriptionFiles }
| Configuration keys. More...
enum | AlertResult { DefaultButton, SecondButton, ThirdButton, Error }
| Alert result. More...
enum | WindowType { Document, Popup }
| Window types. More...

## Functions
WindowPtr | makeWindow (const Config &config)
| Create a window with an UIDescription. More...

## Detailed Description

List of classes for the standalone library.

See this page for an introduction.

## Typedef Documentation

using Configuration = std::vector<std::pair<ConfigKey, ConfigValue>>

Startup configuration.

The standalone library can be configured with a list of key-value pairs. See ConfigKey for a list and description of available keys.

## Enumeration Type Documentation

enum AlertResult
| strong

Alert result.

Enumerator
DefaultButton |
SecondButton |
ThirdButton |
Error |

enum ConfigKey : uint64_t
| strong

Configuration keys.

Enumeration of available configuration keys.

Enumerator
UseCompressedUIDescriptionFiles | Instead of plain xml files, use compressed ui description files. This option expects an integer ConfigValue where 0 means that plain xml files are used and any other value means that the ui description file is compressed. In this case for development purposes an uncompressed xml file is also written.

enum WindowType
| strong

Window types.

About window types:

There are two types of windows :

- Document
- Popup

There can be as many document windows visible as you wish, but only one popup can be visible at a time. A popup window will automatically close if it is deactivated.

Enumerator
Document |
Popup |

## Function Documentation

WindowPtr VSTGUI::Standalone::UIDesc::makeWindow | ( | const Config & | config | ) |

Create a window with an UIDescription.

Parameters

  config | window configuration

See also
  Config